<?php
require_once('config.php');
require_once('classes/SimpleLogger_Class.php');
require_once('classes/FileHandler_Class.php');
require_once('classes/ContentHandler_Class.php');

$oper = $_REQUEST['json_oper'];
$data = $_REQUEST['json_data'];

$json_data = json_decode(stripslashes($data), TRUE);

$fh = new FileHandler();
$loggr = new SimpleLogger($ne2_config_info['app_path'] . 'oper_log.txt');
$fh->setLogger($loggr);

function doRemove($jsnData)
{
	global $loggr;
	if(count($jsnData['child']) == 0) {
		$loggr->Log('remove: ' . $_SERVER['DOCUMENT_ROOT'] . $jsnData['path']);
		unlink($_SERVER['DOCUMENT_ROOT'] . $jsnData['path']); // !
	} else {
		for($i = 0; $i < count($jsnData['child']); $i++) {
			doRemove($jsnData['child'][$i]);
		}
		$loggr->Log('remove: ' . $_SERVER['DOCUMENT_ROOT'] . $jsnData['path']);
		unlink($_SERVER['DOCUMENT_ROOT'] . $jsnData['path']);
		
		$loggr->Log('remove: ' . dirname($_SERVER['DOCUMENT_ROOT'] . $jsnData['path']));
		rmdir(dirname($_SERVER['DOCUMENT_ROOT'] . $jsnData['path']));
	}
}

switch($oper) {
	case 'create_sibling':
		$templPath = $ne2_config_info['app_path'] . 'data/templates/' . $_REQUEST['template_file'];
		$fpath = $json_data['path'];
		$fh->setTemplateFile($templPath);
		$fh->checkPath($fpath);
		echo($fpath . ' created.');
		break;
	case 'create_child':
		$opath = $_REQUEST['parent_node_path'];
		$opath = $_SERVER['DOCUMENT_ROOT'] . $opath;
		
		$templPath = $ne2_config_info['app_path'] . 'data/templates/' . $_REQUEST['template_file'];
		$fpath = $json_data['path'];
		$fh->setTemplateFile($templPath);
		$fh->checkPath($fpath);
		$newDir = dirname($_SERVER['DOCUMENT_ROOT'] . $fpath);
		rename($opath, $newDir . '/index.shtml');
		echo($fpath . ' created.');
		break;
	case 'remove':
		doRemove($json_data);
		echo('Node has been removed!');
		break;
	case 'get_content':
		$fpath = $json_data['path'];
		$fh->checkPath($fpath); // well if no such file, it will be created here (from a default template)
		$fpath = $_SERVER['DOCUMENT_ROOT'] . $fpath;
		$ch = new ContentHandler($fpath);
		$loggr->Log('get_content: ' . $fpath);
		echo($ch->GetContentHtml());
		break;
	case 'set_contents':
		$oldPath = $_SERVER['DOCUMENT_ROOT'] . $_REQUEST['old_path'];
		$fname = basename($oldPath);
		$chDir = FALSE;
		if($fname == 'index.shtml') {
			$chDir = TRUE;
		}
		
		$fpath = $_SERVER['DOCUMENT_ROOT'] . $json_data['path'];
		$title = $json_data['title'];
		$content = $_REQUEST['content_html'];
		$ch = new ContentHandler($oldPath);
		$ch->setContents($title, $content);
		$ch->ReplaceContents();
		$loggr->Log('to_rename: ' . $oldPath . ' -> ' . $fpath);
		if($oldPath != $fpath) {
			if(!$chDir) {
				rename($oldPath, $fpath);
			} else {
				rename(dirname($oldPath), dirname($fpath)); // index.shtml remains
			}
		}
		echo("Update done!");
	default:
		break;
}
?>
