<?php
require_once('auth.php');
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Logo bearbeiten - RRZE NavEditor 2.0 - Prototype</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script type="text/javascript" src="js/jquery-1.2.2.pack.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
var imgObj, imgW, imgH;

function loadContentCallback(data)
{
	$("#txtUsingText").val(data.content_text);
	$("#txtUsingImage").val(data.content_img);
	if(data.content_img != "") {
		imgObj = new Image();
		imgObj.src = data.content_img;
		imgObj.onload = previewImageLoadCallback;
		var imgStr = "<img alt=\"\" src=\"" + data.content_img + "\" />";
		$("#imgPrev").html(imgStr);
	}
}

function saveContentCallback(data)
{
	alert(data);
	location.reload();
}

/* ---------- Here comes jQuery: ---------- */
$(document).ready(function() {
	$.getJSON("app/edit_logo.php?r=" + Math.random(), {
		"json_oper": "get_content",
		"template_name": $("#selTempl").val()
	}, loadContentCallback);
	
	$("#btnUpdate").click(function() {
		if(confirm("Are you sure to save?")) {
			var text = $("#txtUsingText").val();
			var img = $("#txtUsingImage").val();
			if(img != "") {
				img = "<img alt=\"" + $("#txtUsingText").val() + "\" src=\"" + $("#txtUsingImage").val() + "\" width=\"" + imgW + "\" height=\"" + imgH + "\" />";
			}
			var templname = $("#selTempl").val();
			var pdata = {
				"content_text": text,
				"content_img": img
			};
			$.post("app/edit_logo.php", {
				"json_oper": "update_content",
				"json_content": JSON.stringify(pdata),
				"template_name": templname
			}, saveContentCallback);
		}
	});
	
	$("#btnLoadLogo").click(function() {
		$.getJSON("app/edit_logo.php?r=" + Math.random(), {
			"json_oper": "get_content",
			"template_name": $("#selTempl").val()
		}, loadContentCallback);
	});
	
	$("#txtUsingImage").change(function() {
		var imgsrc = $(this).val();
		imgObj = new Image();
		imgObj.src = imgsrc;
		imgObj.onload = previewImageLoadCallback;
		var imgStr = "<img alt=\"\" src=\"" + imgsrc + "\" />";
		$("#imgPrev").html(imgStr);
	});
	
	$("#btnUpdateExisted").click(function() {
		if(confirm("Are you sure to replace the Logos of all the existed pages?")) {
			var text = $("#txtUsingText").val();
			var img = $("#txtUsingImage").val();
			if(img != "") {
				img = "<img alt=\"" + $("#txtUsingText").val() + "\" src=\"" + $("#txtUsingImage").val() + "\" width=\"" + imgW + "\" height=\"" + imgH + "\" />";
			}
			var templname = $("#selTempl").val();
			var pdata = {
				"content_text": text,
				"content_img": img
			};
			$.post("app/edit_logo.php", {
				"json_oper": "update_content_all",
				"json_content": JSON.stringify(pdata),
				"template_name": templname
			}, saveContentCallback);
		}
	});
});

function previewImageLoadCallback()
{
	if(imgObj.complete) {
		imgW = imgObj.width;
		imgH = imgObj.height;
	}
}
</script>
</head>

<body>
<div id="wrapper">
	<h1 id="header">Logo bearbeiten - RRZE NavEditor 2.0 - Prototype</h1>
	<div id="navBar">
		<script type="text/javascript" src="js/page_nav.js"></script>
	</div>
	
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>Logo bearbeiten</legend>
				<p>
					<label>Template:</label><br />
					<select id="selTempl" name="selTempl">
						<option value="seitenvorlage.html" selected="selected">seitenvorlage.html</option>
					</select>
					<input type="button" id="btnLoadLogo" name="btnLoadLogo" value="Load" class="button" />
				</p>
				<p>
					<label for="txtUsingText">Text:</label><br />
					<input type="text" id="txtUsingText" name="txtUsingText" class="textBox" size="40" />
				</p>
				<p><a href="app/upload_img.php" target="_blank">Bild hochladen...</a></p>
				<p>
					<label>Image (Optional):</label><br />
					<input type="text" id="txtUsingImage" name="txtUsingImage" class="textBox" size="40" />
					<br />
					<div id="imgPrev"></div>
					<label>Image Alt-Text (Optional):</label><br />
					<input type="text" id="txtImageAlt" name="txtImageAlt" class="textBox" size="40" />
				</p>
				<hr size="1" noshade="noshade" />
				<input type="button" id="btnUpdate" name="btnUpdate" value="Update" class="button" />
				<input type="button" id="btnUpdateExisted" name="btnUpdateExisted" value="Update Existed Pages" class="button" />
			</fieldset>
		</form>
	</div>
	
	<div id="footer">&copy; 2007-08 Ke.Chang@rrze.uni-erlangen.de</div>
</div>
</body>

</html>
